Package org.globus.gsi.proxy.ext

# Class ProxyCertInfoExtension

java.lang.Object
org.globus.gsi.X509Extension
org.globus.gsi.bc.BouncyCastleX509Extension
org.globus.gsi.proxy.ext.ProxyCertInfoExtension

public class ProxyCertInfoExtension extends BouncyCastleX509Extension
Represents ProxyCertInfo X.509 extension.

## Field Summary

### Fields inherited from class org.globus.gsi.X509Extension

`critical, oid, value`

## Constructor Summary

Constructors
Constructor
Description
`ProxyCertInfoExtension(ProxyCertInfo value)`

## Method Summary

Modifier and Type
Method
Description
`void`
`setCritical(boolean critical)`
Sets the extension as critical or noncritical.
`void`
`setOid(String oid)`
Sets the oid of this extension.

### Methods inherited from class org.globus.gsi.bc.BouncyCastleX509Extension

`setValue`

### Methods inherited from class org.globus.gsi.X509Extension

`getOid, getValue, isCritical, setValue`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### ProxyCertInfoExtension

public ProxyCertInfoExtension(ProxyCertInfo value)

## Method Details

### setOid

public void setOid(String oid)
Description copied from class: `X509Extension`
Sets the oid of this extension.

Overrides:
  `setOid` in class `X509Extension`
Parameters:
  `oid` - the oid of this extension. Cannot not null.

### setCritical

public void setCritical(boolean critical)
Description copied from class: `X509Extension`
Sets the extension as critical or noncritical.

Overrides:
  `setCritical` in class `X509Extension`
Parameters:
  `critical` - the critical value.